/*
  NeoRandom v1

  Displays Random Colors Using the NeoPixel Library
  
  Board : METE HOCA Akana R1
  Dock  : RGB Matrix Dock Rev.1
  Core  : earlephilhower / arduino-pico (https://github.com/earlephilhower/arduino-pico)
  Required Libraries : U8G2 (https://github.com/olikraus/u8g2)
                       Adafruit NeoPixel (https://github.com/adafruit/Adafruit_NeoPixel)
  Settings: Select METE HOCA Akana R1 as the board.

  Source : METE HOCA
  
  METE HOCA, 19 May 2024
  IG : https://www.instagram.com/metehoca/
  YT : https://www.youtube.com/MeteHoca
  WEB: https://www.metehoca.com/
*/

#include "AkanaLogo.h"
#include <Adafruit_NeoPixel.h>

int bright = 32;
int wait = 100;
int color_count = 5;
enum colors{RED = 0, GREEN, BLUE, YELLOW, PURPLE};

Adafruit_NeoPixel neo(40, 24, NEO_GRB + NEO_KHZ800);

void setup() {
  neo.begin();

  logoAkana();  
}
 
void loop() {   
  for(int i = 0; i < neo.numPixels(); i++) neo.setPixelColor(i, randomit());
  neo.setBrightness(bright);  
  neo.show();
  delay(wait);
}

int randomit() {    
  switch(random(color_count)) {
    case RED:    { return neo.Color(255, 0, 0);   }
    case GREEN:  { return neo.Color(0, 255, 0);   }
    case BLUE:   { return neo.Color(0, 0, 255);   }
    case YELLOW: { return neo.Color(255, 255, 0); }
    case PURPLE: { return neo.Color(255, 0, 255); }
    default:{ return neo.Color(255, 255, 255); }
  }  
}