/*
  NeoRandom Fade v1

  Displays Transitioning Random Colors Using the NeoPixel Library.
  
  Board : METE HOCA Akana R1
  Dock  : RGB Matrix Dock Rev.1
  Core  : earlephilhower / arduino-pico (https://github.com/earlephilhower/arduino-pico)
  Required Libraries : U8G2 (https://github.com/olikraus/u8g2)
                       Adafruit NeoPixel (https://github.com/adafruit/Adafruit_NeoPixel)
  Settings: Select METE HOCA Akana R1 as the board.

  Source: METE HOCA
  
  METE HOCA, 19 May 2024
  IG : https://www.instagram.com/metehoca/
  YT : https://www.youtube.com/MeteHoca
  WEB: https://www.metehoca.com/
*/

#include "AkanaLogo.h"
#include <Adafruit_NeoPixel.h>
 
Adafruit_NeoPixel neo = Adafruit_NeoPixel(40, 24, NEO_GRB + NEO_KHZ800);

int bright = 32;

float redStates[40];
float blueStates[40];
float greenStates[40];
float fadeRate = 0.96;
 
void setup() {
  neo.begin();
  neo.show();
  neo.setBrightness(bright);

  for(int l = 0; l < 40; l++) {
    redStates[l] = 0;
    greenStates[l] = 0;
    blueStates[l] = 0;
  }

  logoAkana();
}
 
void loop () {
 if (random(20) == 1) {
    int i = random(40);
    if (redStates[i] < 1 && greenStates[i] < 1 && blueStates[i] < 1) {
      redStates[i] = random(256);
      greenStates[i] = random(256);
      blueStates[i] = random(256);
    }
  }
  
  for(int l = 0; l < 40; l++) {
    if (redStates[l] > 1 || greenStates[l] > 1 || blueStates[l] > 1) {
      neo.setPixelColor(l, redStates[l], greenStates[l], blueStates[l]);
      
      if (redStates[l] > 1) {
        redStates[l] = redStates[l] * fadeRate;
      } else {
        redStates[l] = 0;
      }
      
      if (greenStates[l] > 1) {
        greenStates[l] = greenStates[l] * fadeRate;
      } else {
        greenStates[l] = 0;
      }
      
      if (blueStates[l] > 1) {
        blueStates[l] = blueStates[l] * fadeRate;
      } else {
        blueStates[l] = 0;
      }
      
    } else {
      neo.setPixelColor(l, 0, 0, 0);
    }
  }
  neo.show();
  delay(10);
}